$schema: https://git.drupalcode.org/project/drupal/-/raw/HEAD/core/assets/schemas/v1/metadata.schema.json
name: Collapse
props:
  type: object
  properties:
    title:
      title: Title
      type: string
      examples:
        - Lorem ipsum dolor sit amet, consectetur adipiscing elit.
    content:
      title: Content
      type: string
      examples:
        - Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
    title_heading_level:
      title: Title heading level
      type: string
      enum:
        - h1
        - h2
        - h3
        - h4
        - h5
        - h6
      default: h3
      examples:
        - h3
    collapse_title_extra_classes:
      title: Collapse title extra classes
      type: array
      items:
        type: string
    collapse_content_extra_classes:
      title: Collapse content extra classes
      type: array
      items:
        type: string
    icon:
      title: Variants
      type: string
      enum:
        - arrow
        - plus
      default: arrow
      examples:
        - arrow
    variant:
      title: Variants
      type: string
      enum:
        - focus
        - checkbox
        - details
      default: focus
      examples:
        - focus
